import '../worlds/custom_world';
import * as Options from './options';
/** Register the following method as a Cucumber "before all scenarios" callback
 *  The method *must* be static */
export declare function BeforeAll(options?: Options.AllScenarios): (worldMeta: any, stepMethodName: string, descriptor: PropertyDescriptor) => void;
/** Register the following method as a Cucumber "before each scenario" callback
 *  the method may *not* be static */
export declare function Before(options?: Options.EachScenario): (worldMeta: any, stepMethodName: string, descriptor: PropertyDescriptor) => void;
/** Register the following method as a Cucumber "after each scenario" callback
 *  the method may *not* be static */
export declare function After(options?: Options.EachScenario): (worldMeta: any, stepMethodName: string, descriptor: PropertyDescriptor) => void;
/** Register the following method as a Cucumber "after all scenarios" callback
 *  The method *must* be static */
export declare function AfterAll(options?: Options.AllScenarios): (worldMeta: any, stepMethodName: string, descriptor: PropertyDescriptor) => void;
