import '../worlds/custom_world';
import * as Options from './options';
export declare type Transformer = (this: any, ...arg: string[]) => any;
export declare type StepPattern = string | RegExp;
/** Use the following method as a custom type transformer */
export declare function Type(name: string, regexp: RegExp, options?: Options.Type): (_target: any, _stepMethodName: string, descriptor: PropertyDescriptor) => void;
/** Given, When and Then are all just steps... execute below method when a scenario step matches the pattern */
declare function defineStep(pattern: StepPattern, options?: Options.ScenarioStep): (worldMeta: any, stepMethodName: string, descriptor: PropertyDescriptor) => void;
/** Given the pattern, execute the following method */
export declare const Given: typeof defineStep;
/** When the pattern matches a scenario step, execute the following method */
export declare const When: typeof defineStep;
/** If the pattern matches a scenario step, then execute the following method */
export declare const Then: typeof defineStep;
/** Given, When and Then are all just steps... execute below method when a scenario step matches the pattern */
export declare const Pattern: typeof defineStep;
export {};
