import * as CucumberJS from 'cucumber';
import { Metadata as ScenarioMetadata } from '../support/scenario_metadata';
export declare type AttachFunction = (data: string, mime_type?: string, callback?: Function) => void;
export declare type CucumberCLIArguments = {
    [key: string]: any;
};
interface MetadataConstructor {
    new (customWorld: CustomWorld, scenario: CucumberJS.HookScenarioResult): ScenarioMetadata;
}
export interface WorldOptions {
    attach: AttachFunction;
    parameters: CucumberCLIArguments;
}
export declare class CustomWorld {
    attach: AttachFunction;
    parameters: CucumberCLIArguments;
    constructor(options: WorldOptions);
    getWorldByConstructor(worldConstructor: Function): import("./annotated_world").AnnotatedWorld;
    dispatchScenario(scenario: CucumberJS.HookScenarioResult): void;
}
export declare function addHooks(constructor: MetadataConstructor): void;
export {};
