"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CucumberJS = require("cucumber");
require("../worlds/custom_world");
const annotated_world_1 = require("../worlds/annotated_world");
/** Use the following method as a custom type transformer */
function Type(name, regexp, options = {}) {
    return (_target, _stepMethodName, descriptor) => {
        CucumberJS.defineParameterType({
            name: name, regexp: regexp,
            transformer: descriptor.value,
            preferForRegexpMatch: options.preferForRegexpMatch || false,
            useForSnippets: options.useForSnippets || true
        });
    };
}
exports.Type = Type;
/** Given, When and Then are all just steps... execute below method when a scenario step matches the pattern */
function defineStep(pattern, options = {}) {
    return (worldMeta, stepMethodName, descriptor) => {
        CucumberJS.defineStep(pattern, options, annotated_world_1.WorldsMap.getWorldByMeta(worldMeta).createDelegatedCucumberJSMethod(stepMethodName, descriptor.value));
    };
}
/** Given the pattern, execute the following method */
exports.Given = defineStep;
/** When the pattern matches a scenario step, execute the following method */
exports.When = defineStep;
/** If the pattern matches a scenario step, then execute the following method */
exports.Then = defineStep;
/** Given, When and Then are all just steps... execute below method when a scenario step matches the pattern */
exports.Pattern = defineStep;
//# sourceMappingURL=steps.js.map