"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(require("../steps"));
__export(require("../scenarios"));
const CucumberJS = require("cucumber");
const custom_world_1 = require("../worlds/custom_world");
const INITIAL_RESULT = { duration: -1, status: CucumberJS.Status.UNDEFINED };
class Metadata {
    constructor(customWorld, scenario) {
        this.customWorld = customWorld;
        this.scenario = scenario;
        this.result = INITIAL_RESULT;
        this.result = scenario.result || INITIAL_RESULT;
    }
    get parameters() { return this.customWorld.parameters; }
    get scenarioName() { return this.scenario.pickle.name; }
    getWorldByConstructor(worldConstructor) {
        return this.customWorld.getWorldByConstructor(worldConstructor);
    }
    attach(data, mime_type, callback) {
        this.customWorld.attach(data, mime_type, callback);
    }
    get isReady() { return this.result.status == CucumberJS.Status.FAILED || this.result.status == CucumberJS.Status.PASSED; }
    get isSuccess() { return this.result.status == CucumberJS.Status.PASSED; }
    get isFailed() { return this.result.status == CucumberJS.Status.FAILED; }
}
exports.Metadata = Metadata;
custom_world_1.addHooks(Metadata);
//# sourceMappingURL=index.js.map