"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
function metaIsConstructor(worldMeta) {
    return typeof worldMeta.name == 'string';
}
exports.metaIsConstructor = metaIsConstructor;
function metaGetName(worldMeta, methodName) {
    let result;
    if (metaIsConstructor(worldMeta)) {
        result = worldMeta.name;
    }
    else {
        result = worldMeta.constructor.name;
    }
    return `${result}::${methodName}`;
}
exports.metaGetName = metaGetName;
function getConstructor(worldMeta) {
    if (typeof worldMeta == 'object') {
        return worldMeta.constructor;
    }
    else {
        return worldMeta;
    }
}
exports.getConstructor = getConstructor;
function assertMethodConvention(worldMeta, info, mustBeStatic) {
    const isStatic = metaIsConstructor(worldMeta);
    if (isStatic != mustBeStatic) {
        chai_1.expect.fail(isStatic, mustBeStatic, `${info} ${mustBeStatic ? 'must' : 'may not'} be a static member.`);
    }
    return isStatic;
}
exports.assertMethodConvention = assertMethodConvention;
//# sourceMappingURL=annotation_metadata.js.map