"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CucumberJS = require("cucumber");
const annotated_world_1 = require("./annotated_world");
let metadataConstructor = null;
class CustomWorld {
    constructor(options) {
        this.attach = options.attach;
        this.parameters = options.parameters;
        annotated_world_1.WorldsMap.create(this);
    }
    getWorldByConstructor(worldConstructor) {
        return annotated_world_1.WorldsMap.getWorldByConstructor(worldConstructor);
    }
    dispatchScenario(scenario) {
        annotated_world_1.WorldsMap.dispatchMetadata(new metadataConstructor(this, scenario));
    }
}
exports.CustomWorld = CustomWorld;
function addHooks(constructor) {
    metadataConstructor = constructor;
    CucumberJS.Before(CustomWorld.prototype.dispatchScenario);
    //	CucumberJS.BeforeAll( () => CucumberJS.After( CustomWorld.prototype.dispatchScenario ) )
}
exports.addHooks = addHooks;
CucumberJS.setWorldConstructor(CustomWorld);
//# sourceMappingURL=custom_world.js.map